package com.valhalla.jbother.jabber.smack;

import org.jivesoftware.smack.packet.IQ;
import org.jivesoftware.smack.provider.IQProvider;
import org.jivesoftware.smackx.provider.DataFormProvider;
import org.xmlpull.v1.XmlPullParser;

import java.net.*;
import java.io.IOException;
import java.nio.channels.SocketChannel;
import java.nio.channels.FileChannel;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;


/**
 * Created by IntelliJ IDEA.
 * User: luke
 * Date: Jan 17, 2005
 * Time: 4:39:49 PM
 * To change this template use Options | File Templates.
 */

/**
 * represents information contained in <streamhost> message.
 */
public class Streamhost extends IQ
{
  private static String fId = "$Id$";

  public static final String NAMESPACE = "http://jabber.org/protocol/bytestreams";

  private int port = -1;
  private String hostname;
  private String jid;
  private String sid;

  public Streamhost(int aPort, String aHostname, String aJid, String aSId)
  {
    setType(Type.SET);
    port = aPort;
    jid = aJid;
    sid = aSId;
    hostname = aHostname;
  }

  public int getPort() {
    return port;
  }

  public void setPort(int aPort) {
    this.port = aPort;
  }

  public String getHostname()  {
    return hostname;
  }

  public void setHostname(String aHostname) {
    hostname = aHostname;
  }

  public String getSId() {
    return sid;
  }

  public void setfSId(String aSId) {
    sid = aSId;
  }

  public String getJid() {
    return jid;
  }

  public void setJid(String aJid) {
    jid = aJid;
  }

  public String getChildElementXML()
  {
    StringBuffer buf = new StringBuffer();
    buf.append("<query xmlns=\"" + NAMESPACE + "\" sid=\"" + sid + "\">");
    if (hostname != null && port != -1 && jid != null)
    {
      buf.append("<streamhost port=\"" + port + "\" host=\"" + hostname);
      buf.append("\" jid=\"" + jid + "\"/>");
    }
    buf.append("</query>");
    return buf.toString();
  }

}
